Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.federation.impl
Class FederatedPortlet

    java.lang.Object
      org.jboss.portal.portlet.federation.impl.FederatedPortlet

All Implemented Interfaces:
  Portlet

    public class FederatedPortlet

extends java.lang.Object
implements Portlet

Version:
  $Revision: 5448 $
Author:
  Julien Viet

Constructor Summary
`FederatedPortlet(FederatedPortletInvoker invoker, PortletContext compoundContext, Portlet portlet)`

Method Summary
`PortletContext` | `getContext()` Return the portlet context.
`java.lang.String` | `getFederatedId()`
`PortletInfo` | `getInfo()` Return the portlet info.
`boolean` | `isRemote()` Determines whether the described portlet is remote or not.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FederatedPortlet

    public FederatedPortlet(FederatedPortletInvoker invoker,
                            PortletContext compoundContext,
                            Portlet portlet)

Method Detail

### getFederatedId

    public java.lang.String getFederatedId()

### getContext

    public PortletContext getContext()

  Description copied from interface: `Portlet`
  Return the portlet context.

  Specified by:
    `getContext` in interface `Portlet`
  Returns:
    the portlet context

### getInfo

    public PortletInfo getInfo()

  Description copied from interface: `Portlet`
  Return the portlet info.

  Specified by:
    `getInfo` in interface `Portlet`
  Returns:
    the portlet info

### isRemote

    public boolean isRemote()

  Description copied from interface: `Portlet`
  Determines whether the described portlet is remote or not.

  Specified by:
    `isRemote` in interface `Portlet`
  Returns:
    `true` if the described portlet runs in a remote context (such as WSRP), `false` otherwise

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.